Skip to content

Mail Feedback

MailFeedbackService provides access to bounce and complaint feedback

Base path: /mail-feedback

ListRecentFeedback retrieves all recent feedback across all identities and recipients

Request (ListRecentFeedbackRequest)

FieldTypeDescription
typeFeedbackType?
page_sizeint32?
page_tokenstring?

Response (ListRecentFeedbackResponse)

FieldTypeDescription
feedbackMailFeedback[]
next_page_tokenstring

POST /mail-feedback/ListFeedbackByIdentity

Section titled “POST /mail-feedback/ListFeedbackByIdentity”

ListFeedbackByIdentity retrieves all feedback for a specific identity

Request (ListFeedbackByIdentityRequest)

FieldTypeDescription
identity_idstring
page_sizeint32?
page_tokenstring?

Response (ListFeedbackByIdentityResponse)

FieldTypeDescription
feedbackMailFeedback[]
next_page_tokenstring

POST /mail-feedback/ListFeedbackByRecipient

Section titled “POST /mail-feedback/ListFeedbackByRecipient”

ListFeedbackByRecipient retrieves all feedback for a specific recipient email

Request (ListFeedbackByRecipientRequest)

FieldTypeDescription
recipientstring
page_sizeint32?
page_tokenstring?

Response (ListFeedbackByRecipientResponse)

FieldTypeDescription
feedbackMailFeedback[]
next_page_tokenstring